
create user foger with password '2002r';
create user fogew with password '2002w';

--drop table answer;
create table answer (
       id   int primary key,
       t    timestamp default current_timestamp,
       ip   inet not null,
       name text not null,
       remote_user text null -- if HTTPS is on
);
revoke all on answer from public;
grant select, insert on answer to fogew;
grant select on answer to foger;

--drop table foge_you;
create table foge_you (
	hasComputer 	text not null,
	hasConnection 	text,
	-- the serial number that identifies the answer:
	id  	int references answer
);
revoke all on foge_you from public;
grant insert, select on foge_you to fogew;
grant select on foge_you to foger;

--drop table foge_color;
create table foge_color (
	chosenColor 	text,
	otherchosenColor 	text,
	Comment 	text,
	-- the serial number that identifies the answer:
	id  	int references answer
);
revoke all on foge_color from public;
grant insert, select on foge_color to fogew;
grant select on foge_color to foger;
